/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

package at.spardat.xma.boot;

/**
 * This class implements a key-value-pair to be tranported over the
 * Com-Interface of Component.
 *
 * @author s2877, s3595
 * @version $Id: KeyValue.java 2084 2007-11-27 14:53:31Z s3460 $
 *
 */
public class KeyValue {
    private String key;
    private String value;

    /**
     * Constructor for KeyValue.
     */
    public KeyValue() {
    }

    /**
     * Constructor for KeyValue.
     * @param key The key to set
     * @param value The value to set
     */
    public KeyValue(String key, String value) {
        this.key = key;
        this.value = value;
    }

    /**
     * Returns the key.
     * @return String
     */
    public String getKey() {
        return key;
    }

    /**
     * Returns the value.
     * @return String
     */
    public String getValue() {
        return value;
    }

    /**
     * Sets the key.
     * @param key The key to set
     */
    public void setKey(String key) {
        this.key = key;
    }

    /**
     * Sets the value.
     * @param value The value to set
     */
    public void setValue(String value) {
        this.value = value;
    }

}
