/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on : 23.06.2003
 * Created by : s3595
 */
package at.spardat.xma.boot.server;

import java.util.Properties;

import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;


/**
 * DemoContextListener
 * tests context creation
 *
 * @author <a href="mailto:schaeferc@spardat.at">s3595 Chr. Schaefer (CGS)</a>
 * @version $Id: BRTContextListener.java 2084 2007-11-27 14:53:31Z s3460 $
 *
 */
public class BRTContextListener implements ServletContextListener {

    /** construction */
    public BRTContextListener() {
        super();
    }

    /* (non-Javadoc)
     * @see javax.servlet.ServletContextListener#contextInitialized(javax.servlet.ServletContextEvent)
     */
    public void contextInitialized(ServletContextEvent sce) {

        ServletContext context = sce.getServletContext();
        ServerAppLoader sal    = new ServerAppLoader(new Properties());

        try {
            sal.loadApplication(context);
        } catch (Exception e) {
           context.log("ERROR::boot runtime init failed!", e ); //$NON-NLS-1$
        }
        context.log( "XMA-Context initialized successfully! "); //$NON-NLS-1$
    }

    /* (non-Javadoc)
     * @see javax.servlet.ServletContextListener#contextDestroyed(javax.servlet.ServletContextEvent)
     */
    public void contextDestroyed(ServletContextEvent arg0) {

    }

}
